7.0.0

# screpick

Reads an XML file of picks and repicks them using a post picker. The picks will be modified in place and written to another XML file.

## Module Configuration

`etc/defaults/global.cfg`
`etc/defaults/screpick.cfg`
`etc/global.cfg`
`etc/screpick.cfg`
`~/.seiscomp/global.cfg`
`~/.seiscomp/screpick.cfg`

screpick inherits global options.

picker

  Type: string

  Picker interface to be used for repicking.

anyPhase

  Default: `false`

  Type: boolean

  If enabled then all picks will be processed. Otherwise only P phases or picks without a phase hint will be considered.

## Command-Line Options

### Generic

-h, --help

  Show help message.

-V, --version

  Show version information.

--config-file arg

  Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg

  Load given plugins.

-D, --daemon

  Run as daemon. This means the application will fork itself and doesn’t need to be started with &.

--auto-shutdown arg

  Enable/disable self-shutdown because a master module shutdown. This only works when messaging is enabled and the master module sends a shutdown message (enabled with --start-stop-msg for the master module).

--shutdown-master-module arg

  Set the name of the master-module used for auto-shutdown. This is the application name of the module actually started. If symlinks are used, then it is the name of the symlinked application.

--shutdown-master-username arg

  Set the name of the master-username of the messaging used for auto-shutdown. If "shutdown-master-module" is given as well, this parameter is ignored.

### Verbosity

--verbosity arg

  Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v

  Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet

  Quiet mode: no logging output.

--component arg

  Limit the logging to a certain component. This option can be given more than once.

-s, --syslog

  Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg

  Path to lock file.

--console arg

  Send log output to stdout.

--debug

  Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--log-file arg

  Use alternative log file.

### Database

--db-driver-list

  List all supported database drivers.

-d, --database arg

  The database connection string, format: service://user:pwd@host/database. "service" is the name of the database driver which can be queried with "--db-driver-list".

--config-module arg

  The config module to use.

--inventory-db arg

  Load the inventory from the given database or file, format: [service://]location .

--db-disable

  Do not use the database at all

### Records

--record-driver-list

  List all supported record stream drivers.

-I, --record-url arg

  The RecordStream source URL. Format: [service://]location[#type]. "service" is the name of the RecordStream driver which can be queried with "--record-driver-list". If "service" is not given, "file://" is used and simply the name of a miniSEED file can be given.

--record-file arg

  Specify a file as record source.

--record-type arg

  Specify a type for the records being read.

### Input

--ep file

  Name of input XML file (SCML) with all picks for offline processing. Use ‘-’ to read from stdin.

### Picker

-P, --picker interface

  Defines the picker interface to be used. It must be part of the common libraries or loaded as plugin.

-A, --any-phase

  Accept any pick regardless of its phase hint.

### Output

-f, --formatted

  Use formatted XML output along with ‘--ep’. Otherwise XML is unformatted.